# Uses of Interface
org.mariadb.jdbc.internal.util.dao.PrepareResult

Packages that use PrepareResult
Package
Description
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util
org.mariadb.jdbc.internal.util.dao

## Uses of PrepareResult in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol that return PrepareResult
Modifier and Type
Method
Description
`PrepareResult`
AbstractMultiSend.`getPrepareResult()`
`PrepareResult`
AsyncMultiReadResult.`getPrepareResult()`
Methods in org.mariadb.jdbc.internal.protocol with parameters of type PrepareResult
Modifier and Type
Method
Description
`abstract SQLException`
AbstractMultiSend.`handleResultException(SQLException qex, Results results, List<ParameterHolder[]> parametersList, List<String> queries, int currentCounter, int sendCmdCounter, int paramCount, PrepareResult prepareResult)`
`abstract void`
AbstractMultiSend.`sendCmd(PacketOutputStream writer, Results results, List<ParameterHolder[]> parametersList, List<String> queries, int paramCount, BulkStatus status, PrepareResult prepareResult)`
`void`
AsyncMultiReadResult.`setPrepareResult(PrepareResult prepareResult)`
Constructors in org.mariadb.jdbc.internal.protocol with parameters of type PrepareResult
Modifier
Constructor
Description
``
`AsyncMultiRead(BulkStatus status, Protocol protocol, AbstractMultiSend bulkSend, int paramCount, Results results, List<ParameterHolder[]> parametersList, List<String> queries, PrepareResult prepareResult)`
Read results async to avoid local and remote networking stack buffer overflow "lock".
``
`AsyncMultiReadResult(PrepareResult prepareResult)`

## Uses of PrepareResult in org.mariadb.jdbc.internal.util

Methods in org.mariadb.jdbc.internal.util with parameters of type PrepareResult
Modifier and Type
Method
Description
`static String`
LogQueryTool.`queryWithParams(PrepareResult serverPrepareResult, ParameterHolder[] parameters, Options options)`
Return exception message with query.

## Uses of PrepareResult in org.mariadb.jdbc.internal.util.dao

Classes in org.mariadb.jdbc.internal.util.dao that implement PrepareResult
Modifier and Type
Class
Description
`class`
`ClientPrepareResult`
`class`
`ServerPrepareResult`